QwtVectorFieldSample(3)

NAME
QwtVectorFieldSample - Sample used in vector fields.

SYNOPSIS

#include <qwt_samples.h>

  Public Member Functions
QwtVectorFieldSample (double x=0.0, double y=0.0, double vx=0.0, double vy=0.0)
Constructor.
QwtVectorFieldSample (const QPointF &pos, double vx=0.0, double vy=0.0)
Constructor.
QPointF pos () const
bool isNull () const

  Public Attributes
double x
x coordinate of the position
double y
y coordinate of the position
double vx
x coordinate of the vector
double vy
y coordinate of the vector

Detailed Description

Sample used in vector fields. A vector field sample is a position and a vector - usually representing some direction and magnitude - attached to this position.

See also
    QwtVectorFieldData

Definition at line 243 of file qwt_samples.h.

Constructor & Destructor Documentation

  QwtVectorFieldSample::QwtVectorFieldSample (double posX = 0.0, double posY = 0.0, double vectorX = 0.0, double vectorY = 0.0) [inline]

Constructor.

Parameters
    posX x coordinate of the position
    posY y coordinate of the position
    vectorX x coordinate of the vector
    vectorY y coordinate of the vector

Definition at line 277 of file qwt_samples.h.

  QwtVectorFieldSample::QwtVectorFieldSample (const QPointF & pos, double vectorX = 0.0, double vectorY = 0.0) [inline]

Constructor.

Parameters
    pos Position
    vectorX x coordinate of the vector
    vectorY y coordinate of the vector

Definition at line 293 of file qwt_samples.h.

Member Function Documentation

  bool QwtVectorFieldSample::isNull () const [inline]

Returns
    true, if vx and vy are 0

Definition at line 309 of file qwt_samples.h.

  QPointF QwtVectorFieldSample::pos () const [inline]

Returns
    x/y coordinates as QPointF

Definition at line 303 of file qwt_samples.h.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.